JavaScript is required to use Bungie.net

#BungieAerospace
0
Jingraham

Jingraham

12/18/2012 11:06:06 PM
I got this from the Chrome Web Store and played part of Chapter 2 and then closed Chrome. The next day I re-opened it, but it could not verify that I purchased chapter 2, so I am left with just the free 1st chapter. Anyone else get this error and able to fix it? [Edited on 12.18.2012 3:06 PM PST]
preload icon
preload icon
preload icon
You are not allowed to view this content.